Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004819OCamlOCaml generalpublic2009-06-09 16:022010-05-21 05:51
Reportertill 
Assigned Togarrigue 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.12.0+dev 
Summary0004819: Type error on record declarations too hard to read
DescriptionWhen dealing with long record definitions error messages such as:
         sig type t = { a : int; b : int; c : int; d : int; } end
       is not included in
         sig type t = { a : int; b : int; c : int; } end
become hard to read because divergences are not pointed out explicitly

Module signature handle this in a nice way:
    Modules do not match:
         sig val a : int val b : int val c : int end
       is not included in
         sig val a : int val b : int val c : int val d : int end
       The field `d' is required but not provided

it would be great to have this for records too.
Additional InformationOther types such as variants and objects could probably benefit from such an improved error reporting.
TagsNo tags attached.
Attached Files

- Relationships
related to 0004478closedgarrigue Type error message when constructors are mis-ordered could be clearer 

-  Notes
(0005481)
garrigue (manager)
2010-05-21 05:51

Fixed together with PR#4478.

- Issue History
Date Modified Username Field Change
2009-06-09 16:02 till New Issue
2009-12-09 17:32 doligez Status new => acknowledged
2010-04-30 02:44 garrigue Status acknowledged => assigned
2010-04-30 02:44 garrigue Assigned To => garrigue
2010-05-21 05:51 garrigue Relationship added related to 0004478
2010-05-21 05:51 garrigue Note Added: 0005481
2010-05-21 05:51 garrigue Status assigned => closed
2010-05-21 05:51 garrigue Resolution open => fixed
2010-05-21 05:51 garrigue Fixed in Version => 3.12.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker